Bug 140902 - layout issue in some web pages with pango enabled
layout issue in some web pages with pango enabled
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
: i18n
Depends On:
Blocks: 158511
  Show dependency treegraph
Reported: 2004-11-26 03:09 EST by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-23 02:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
latest version of firefox. (235.70 KB, image/png)
2004-11-26 03:11 EST, Lawrence Lim
no flags Details
firefox with no pango enabled. (319.79 KB, image/png)
2004-11-26 03:12 EST, Lawrence Lim
no flags Details
simpiler test case for above steps (798 bytes, text/html)
2004-12-06 02:11 EST, Leon Ho
no flags Details

  None (edit)
Description Lawrence Lim 2004-11-26 03:09:12 EST
Description of problem:
With pango enabled, firefox is unable to display the layout properly
in some web pages.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.LANG=zhTW.UTF-8 firefox
2.gp to the following URL, http://tw.news.yahoo.com/
Actual results:
layout is not displayed properly. pls see screenshot

Expected results:
should be display properly. pls see screenshot with older version of
firefox with no pango enabled.

Additional info:
Try with firefox-0.10.1-1.0PR1.20, the layout is displayed properly.
However, if I use LANG=zh_TW MOZ_ENABLE_PANGO=1 firefox, i get the
same result as the current version of firefox
Comment 1 Lawrence Lim 2004-11-26 03:11:31 EST
Created attachment 107474 [details]
latest version of firefox.

Marked the area with the layout problem
Comment 2 Lawrence Lim 2004-11-26 03:12:52 EST
Created attachment 107475 [details]
firefox with no pango enabled.
Comment 3 Christopher Aillon 2004-11-26 04:55:28 EST
->blizzard, the man with the pango.
Comment 4 Christopher Blizzard 2004-11-29 15:04:56 EST
Is it possible for you to get that down to a very small test case?
Comment 6 Leon Ho 2004-12-06 02:11:12 EST
Created attachment 107931 [details]
simpiler test case for above steps
Comment 7 Leon Ho 2004-12-06 02:17:27 EST
It works in en_US.UTF-8 but does not work in zh_TW.UTF-8, ja_JP.UTF-8
etc, so it may be some different fonts with width calculation issue.
Comment 8 Warren Togami 2004-12-11 16:00:06 EST
With en_US.UTF-8 I am seeing the bad layout in the
http://tw.news.yahoo.com/ but not in llch's simpler test case.
Comment 10 Warren Togami 2004-12-11 16:23:29 EST
Furthermore, I suspect this may only be a case of bad HTML.  Good HTML
would not make assumptions about font size.  If you shrink the font by
one point (use CTRL--) the layout corrects itself.

For this reason I really see no good reason for blocking pango by
default.  Please reconsider for RC... or at least GA.
Comment 12 Jens Petersen 2005-03-18 05:21:19 EST
This appears to be fixed in fc4test1 at least. :)
Comment 14 Lawrence Lim 2005-05-23 02:12:09 EDT
Pango has only been enabled for indic locales in EL4, hence, the bug is no
longer relevant. However, in FC4, firefox-1.0.4-2, where pango is enabled by
default, I still see layout issue in some web pages.

Closing this bug and created Bug 158511 for tracking the issue in FC.

Note You need to log in before you can comment on or make changes to this bug.